Experience: is what you get soon after you need it.

Experience: is what you get soon after you need it.

Rasul Allah (sal Allahu alaihi wa sallam) said: "Restore the trusts of those who trust you, and deal not falsely with him who deals falsely with you." [Abu Dawud, Tirmidhi]

Search This Blog

Friday, May 6, 2011

in Oracle Apps R12 Perl lib version doesn't match executable version

Today When I was cloning the Dev with Prod. I got a strange error regarding perl during adcfgclone.pl



icm01/u0001/oracle/product/11.2.0/icmdev2/dbhome_1/appsutil/clone/bin/adcfgclone.pl dbTechStack

Copyright (c) 2002 Oracle Corporation
Redwood Shores, California, USA

Oracle Applications Rapid Clone

Version 12.0.0

adcfgclone Version 120.31.12010000.8


| 0% completed


Process failed and when I checked the log:



script returned:
****************************************************

.end std out.
Perl lib version (v5.8.4) doesn't match executable version (v5.10.0) at /usr/perl5/5.8.4/lib/sun4-solaris-64int/Config.pm line 32.
Compilation failed in require at /icm01/u0001/oracle/product/11.2.0/icmdev2/dbhome_1/appsutil/clone/ouicli.pl line 35.
BEGIN failed--compilation aborted at /icm01/u0001/oracle/product/11.2.0/icmdev2/dbhome_1/appsutil/clone/ouicli.pl line 35.

.end err out.


So on further research found out it is Oracle bug in R12: Nice--one more .
Bug 9724411

solution :

export PERL5LIB=/perl/lib/5.10.0:/perl/site_perl/5.10.0:/appsutil/perl

No comments: